### Method

# Gio DBusInterfaceSkeleton get_properties

since: 2.30

#### Declaration

    GVariant*
    g_dbus_interface_skeleton_get_properties (
      GDBusInterfaceSkeleton* interface_
    )

#### Description

Gets all D-Bus properties for `interface_`.

Available since: 2.30

#### Return value

Type: `GVariant`

A `GVariant` of type [‘a{sv}’][G-VARIANT-TYPE-VARDICT:CAPS]. Free with g_variant_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.